---
search:
  tags:
    - Product Lists V2
    - GET
seo:
  description: >-
    Lists the products attached… Reference for the GET
    /api/v2/{team_slug}/{app_slug}/product-lists/{product_list_id}/products
    endpoint in the Management API v2.
sidebar:
  label: List product list products
  badge: GET
title: List product list products
type: openapi-operation
---
Lists the products attached to a product list (minimal fields) with pagination. Rule results are not evaluated.

`GET /api/v2/{team_slug}/{app_slug}/product-lists/{product_list_id}/products`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `404` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "product_name": "string",
      "product_number": "string",
      "slug": "string",
      "status": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}
```
